# IDHCPServer Interface Reference

The IDHCPServer interface represents the vbox dhcp server configuration. More...

List of all members.

## Public Member Functions
void | setConfiguration (in wstring IPAddress, in wstring networkMask, in wstring FromIPAddress, in wstring ToIPAddress)
| configures the server
void | start (in wstring networkName, in wstring trunkName, in wstring trunkType)
| Starts DHCP server process.
void | stop ()
| Stops DHCP server process.
## Public Attributes
attribute boolean | enabled
| specifies if the dhcp server is enabled
readonly attribute wstring | IPAddress
| specifies server IP
readonly attribute wstring | networkMask
| specifies server network mask
readonly attribute wstring | networkName
| specifies internal network name the server is used for
readonly attribute wstring | lowerIP
| specifies from IP adrres in server address range
readonly attribute wstring | upperIP
| specifies to IP adrres in server address range

## Detailed Description

The IDHCPServer interface represents the vbox dhcp server configuration.

To enumerate all the dhcp servers on the host, use the IVirtualBox::DHCPServers attribute.

Interface ID:
  `{6CFE387C-74FB-4CA7-BFF6-973BEC8AF7A3}`

## Member Function Documentation

void IDHCPServer::setConfiguration | ( | in wstring | IPAddress,
|  | in wstring | networkMask,
|  | in wstring | FromIPAddress,
|  | in wstring | ToIPAddress |
| ) |  |  |

configures the server

Parameters:

  | IPAddress | server IP address
  | networkMask | server network mask
  | FromIPAddress | server From IP address for address range
  | ToIPAddress | server To IP address for address range

Expected result codes:

  E_INVALIDARG | invalid configuration supplied

void IDHCPServer::start | ( | in wstring | networkName,
|  | in wstring | trunkName,
|  | in wstring | trunkType |
| ) |  |  |

Starts DHCP server process.

Parameters:

  | networkName | Name of internal network DHCP server should attach to.
  | trunkName | Name of internal network trunk.
  | trunkType | Type of internal network trunk.

Expected result codes:

  E_FAIL | Failed to start the process.

void IDHCPServer::stop | ( |  | ) |

Stops DHCP server process.

Expected result codes:

  E_FAIL | Failed to stop the process.

## Member Data Documentation

attribute boolean IDHCPServer::enabled

specifies if the dhcp server is enabled

readonly attribute wstring IDHCPServer::IPAddress

specifies server IP

readonly attribute wstring IDHCPServer::networkMask

specifies server network mask

readonly attribute wstring IDHCPServer::networkName

specifies internal network name the server is used for

readonly attribute wstring IDHCPServer::lowerIP

specifies from IP adrres in server address range

readonly attribute wstring IDHCPServer::upperIP

specifies to IP adrres in server address range